Bug 329251 - CSV Importer table widget window height erratic after several window resizes
Summary: CSV Importer table widget window height erratic after several window resizes
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-26 17:28 UTC by allan
Modified: 2013-12-28 22:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description allan 2013-12-26 17:28:53 UTC
CSV Importer table widget window height gradually reduces when main window is resized several times.
Gap between CSV Importer table widget window and wizard page area.

Reproducible: Always

Steps to Reproduce:
A 1. Resize CSV Importer main window height.
   2. Repeat a number of times.
   3. CSV Importer table widget window height gradually reduces.
B1. Between CSV Importer table widget window and wizard page area, there is an unnecessary amount of empty space.

Actual Results:  
As above

Expected Results:  
Resizing the Importer main window height should not result in the table widget window height gradually reducing.
Comment 1 allan 2013-12-28 22:18:22 UTC
Item A above was the result of a bug in my overloading of 
CSVDialog::resizeEvent(QResizeEvent * event).  As the routine was causing more harm than good, it has been removed.
Item B1 above is not directly connected to the table size problem, but it became more obvious as a result. It will be dealt with in another bug - https://bugs.kde.org/show_bug.cgi?id=329338
Comment 2 allan 2013-12-28 22:39:57 UTC
Git commit f5011097d9daa42da82226ee78a531a87e9a94ae by Allan Anderson.
Committed on 28/12/2013 at 22:28.
Pushed by allananderson into branch 'master'.

Fix problem with CSV Importer table widget window height becoming erratic after several window resizes.

M  +0    -29   kmymoney/plugins/csvimport/csvdialog.cpp
M  +0    -1    kmymoney/plugins/csvimport/csvdialog.h

http://commits.kde.org/kmymoney/f5011097d9daa42da82226ee78a531a87e9a94ae